Bug 668767 - aiccu not running setupscript
Summary: aiccu not running setupscript
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aiccu
Version: 23
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 15:02 UTC by Pim Zandbergen
Modified: 2016-08-11 02:24 UTC (History)
1 user (show)

Fixed In Version: aiccu-2007.01.15-26.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 02:24:35 UTC
Type: ---


Attachments (Terms of Use)

Description Pim Zandbergen 2011-01-11 15:02:07 UTC
Description of problem:

setupscript option in aiccu.conf does not work


Version-Release number of selected component (if applicable):

aiccu-2007.01.15-7.fc12.x86_64

How reproducible:
always


Steps to Reproduce:
1. set setupscript in /etc/aiccu.conf to a valid path
2. create an executable script and save it to this path
3. restart aiccu
  
Actual results:
script does not get run

Expected results:
script gets run


Additional info:
inspection of the source code suggests this option is ignored

Comment 1 Conrad Meyer 2011-01-11 15:27:46 UTC
Please file this upstream -- there's not much I can do about a missing program feature.

Comment 2 Pim Zandbergen 2011-01-11 15:33:57 UTC
meanwhile, removing the option from the default aiccu.conf would help

Comment 3 Bug Zapper 2011-05-30 12:00:09 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 12:37:27 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Pim Zandbergen 2015-10-20 16:19:03 UTC
This issue is still present in Fedora 22.
Upstream does not seem to be interested in fixing this,
but there is a surprisingly simple fix for this issue in Debian.

See
https://github.com/rhaasjes/aiccu/blob/master/debian/patches/0008-setup-script.patch

This patch applies cleanly to the Fedora source RPM, and it solves the issue.

Please consider applying this fix to Fedora.

Comment 6 Pim Zandbergen 2015-11-13 09:51:30 UTC
This issue is still present in Fedora 23, because it ships the old RPM from Fedora 22.

Unfortunately, fixing has become more difficult, as the current SRPM does not build any more. I suppose that needs to become a separate bug report.

Comment 7 Pavel Šimerda (pavlix) 2016-06-22 12:47:45 UTC
The changes in common/aiccu.c seem to be just moving around stuff. The part in main.c looks better. Debian is a good reference as well. Upstream is not very active nor very friendly so we should probably just use the patch after the “moving around” is explained.

Comment 8 Pim Zandbergen 2016-06-22 14:15:37 UTC
It looks to me the patch to main.c is the only one required for fixing this issue.

You might leave out the patch to common/aiccu.c.
It patches a procedure called aiccu_SaveConfig that does not appear to be called anywhere.

Comment 9 Fedora Update System 2016-06-23 13:18:09 UTC
aiccu-2007.01.15-26.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-73923c636b

Comment 10 Fedora Update System 2016-06-23 19:25:47 UTC
aiccu-2007.01.15-26.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-73923c636b

Comment 11 Pim Zandbergen 2016-06-24 08:45:39 UTC
I can confirm this update resolves the issue. Thanks.

Comment 12 Pavel Šimerda (pavlix) 2016-08-10 08:47:47 UTC
(In reply to Pim Zandbergen from comment #11)
> I can confirm this update resolves the issue. Thanks.

Please post feedback for updates to the relevant update pages and use the radio buttons at the right side to convey this information as part of the update process. It helps other users to receive good updates quickly and prevent bad updates.

https://bodhi.fedoraproject.org/updates/FEDORA-2016-73923c636b

Cheers,

Pavel

Comment 13 Pavel Šimerda (pavlix) 2016-08-10 08:49:47 UTC
For now I requested moving to stable, so the above advice applies to any future fedora package updates rather than this particular one.

Comment 14 Fedora Update System 2016-08-11 02:24:33 UTC
aiccu-2007.01.15-26.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.